summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2019-09-14 22:07:09 +0000
committerKarl Berry <karl@freefriends.org>2019-09-14 22:07:09 +0000
commit77c6ab621157215821ffc5d8b0dd655748c262e7 (patch)
tree8c7cc34fd220c9cacf2bfb1f0149419f083805ea /Master/tlpkg/bin
parente1f5126a433abad76994faf305f1df3ad04b6f02 (diff)
latex-dev (15sep19)
git-svn-id: svn://tug.org/texlive/trunk@52096 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/c2lx (renamed from Master/tlpkg/bin/c2l3)24
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check5
2 files changed, 20 insertions, 9 deletions
diff --git a/Master/tlpkg/bin/c2l3 b/Master/tlpkg/bin/c2lx
index 44388f30f2d..5e7bed389e1 100755
--- a/Master/tlpkg/bin/c2l3
+++ b/Master/tlpkg/bin/c2lx
@@ -1,32 +1,42 @@
-#!/bin/sh
+#!/bin/sh
# $Id$
# Originally written by Karl Berry. Public domain.
#
# Front-front-end script for c2l to update LaTeX3,
-# or (with first arg "e") LaTeX2e, both of which comprise several
+# or (with first arg "e") LaTeX2e,
+# or (with first arg "dev") latex-dev,
+# each of which is comprised of several
# packages that should be updated together. Look at the end of the output
# for the summarized results for each package, e.g., to see if any files
# ended up getting misplaced.
#
-# Argument "p" run place.
+# Additional argument "p" runs place also (same as c2l --place).
dirsfile=/tmp/`id -u`.tlplace.dirs
cp /dev/null $dirsfile.tmp
cp /dev/null /tmp/first
-if test "x$1" = e; then
+if test "x$1" = xe; then
shift
label=l2e
pkgs="amsmath cyrillic graphics tools latex"
# latex-tds still has knuth psnfss; babel is separate
-else
+elif test "x$1" = xdev; then
+ shift
+ label=ldev
+ pkgs="latex-amsmath-dev latex-graphics-dev latex-tools-dev latex-base-dev"
+ # latex-tds still has knuth psnfss; babel is separate
+elif test "x$1" = x3; then
label=l3
pkgs="l3kernel l3packages l3experimental l3build l3backend"
+else
+ echo "$0: unknown latex type: $1 (one of: e dev 3)" >&2
+ exit 1
fi
for p in $pkgs; do
- echo "${label}pkg $p" >&2 # progress of a sort
- printf "\f ${label}pkg $p\n"
+ echo "${label} pkg $p" >&2 # progress report of a sort
+ printf "\f ${label} pkg $p\n"
c2l "$@" $p | tee /tmp/c2l.out
sed -n "1,/`printf \f`/p" /tmp/c2l.out >>/tmp/first
echo >>/tmp/first
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index e26e7f4d486..e8d7254309c 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -388,12 +388,13 @@ my @TLP_working = qw(
labbook labels labels4easylist labelschanged
labyrinth ladder lambda-lists langcode langsci
lapdf lastpackage lastpage
- latex latex-base-dev latex-bib-ex latex-bib2-ex latex-brochure
+ latex latex-amsmath-dev latex-base-dev
+ latex-bib-ex latex-bib2-ex latex-brochure
latex-course latex-doc-ptr latex-fonts
latex-git-log latex-graphics-companion latex-graphics-dev
latex-make latex-mr latex-notes-zh-cn
latex-papersize latex-referenz latex-refsheet latex-tabellen
- latex-tds latex-uni8
+ latex-tds latex-tools-dev latex-uni8
latex-veryshortguide latex-via-exemplos latex-web-companion
latex2e-help-texinfo latex2e-help-texinfo-fr
latex2e-help-texinfo-spanish latex2man latex2nemeth